---
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  name: autobackup-operator
rules:
- apiGroups:
  - ""
  resources:
  - configmaps
  - persistentvolumeclaims
  verbs:
  - get
  - list
  - watch
- apiGroups:
  - ""
  resources:
  - events
  verbs:
  - create
  - patch
- apiGroups:
  - ""
  resources:
  - secrets
  verbs:
  - create
  - get
  - list
  - patch
  - update
  - watch
- apiGroups:
  - ceph.unkin.net
  resources:
  - bucketaccesses
  - buckets
  - objectstoreusers
  verbs:
  - create
  - get
  - list
  - patch
  - update
  - watch
- apiGroups:
  - ceph.unkin.net
  resources:
  - bucketaccesses/status
  verbs:
  - get
- apiGroups:
  - k8up.io
  resources:
  - schedules
  verbs:
  - create
  - delete
  - get
  - list
  - patch
  - update
  - watch
- apiGroups:
  - postgresql.cnpg.io
  resources:
  - clusters
  verbs:
  - get
  - list
  - patch
  - update
  - watch
- apiGroups:
  - postgresql.cnpg.io
  resources:
  - scheduledbackups
  verbs:
  - create
  - delete
  - get
  - list
  - patch
  - update
  - watch
